# -*- coding: utf-8 -*-
from models import Repository
from rest_framework import serializers


class RepositorySerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Repository
        fields = ('uuid', 'created', 'updated', 'status', 'url')
        read_only_fields = ('uuid', 'created', 'updated', 'status')


class ChangelogSerializer(serializers.Serializer):
    repository_uuid = serializers.UUIDField()
    rev1 = serializers.CharField(max_length=200)
    rev2 = serializers.CharField(max_length=200)
